package cn.com.qmth.examcloud.core.oe.student.face.provider;


import cn.com.qmth.examcloud.core.oe.student.face.api.ExamCaptureCloudService;
import cn.com.qmth.examcloud.core.oe.student.face.api.request.SaveExamCaptureSyncCompareResultReq;
import cn.com.qmth.examcloud.core.oe.student.face.service.ExamCaptureService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description
 * @Author lideyin
 * @Date 2019/10/12 11:01
 * @Version 1.0
 */
@RestController
@RequestMapping("${$rmp.cloud.oe.student.face}/examCapture")
public class ExamCaptureCloudServiceProvider extends ControllerSupport
        implements ExamCaptureCloudService {
    private static final long serialVersionUID = 7206948579387673158L;
    @Autowired
    private ExamCaptureService examCaptureService;

    @Override
    @ApiOperation(value = "保存抓拍照片的同步比较结果")
    @PostMapping("/saveExamCaptureSyncCompareResult")
    public void saveExamCaptureSyncCompareResult(@RequestBody SaveExamCaptureSyncCompareResultReq request) {
        examCaptureService.saveExamCaptureSyncCompareResult(request.getStudentId(),
                request.getExamRecordDataId());
    }
}
